PHP Manual
Prev |  | Next

# cpdf_rlineto

(PHP 3 >= 3.0.9, PHP 4, PHP 5 <= 5.0.4)

cpdf_rlineto -- Draws a line

## Description

bool cpdf_rlineto ( int pdf_document, float x_coor, float y_coor [, int mode] )

The cpdf_rlineto() function draws a line from the current point to the given relative point.

## Parameters

`pdf_document`

  The document handle, returned by cpdf_open().

`x_coor`

  The x-coordinate of the destination point

`y_coor`

  The y-coordinate of the destination point

`mode`

  The optional parameter `mode` determines the unit length. If it is 0 or omitted the default unit as specified for the page is used. Otherwise the coordinates are measured in postscript points disregarding the current unit.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

cpdf_moveto()
cpdf_rmoveto()
cpdf_curveto()

Prev | Home | Next
cpdf_restore | Up | cpdf_rmoveto